Yaf_Controller_Abstract::getViewpath
Yaf_Controller_Abstract::initView
Yaf_Controller_Abstract
PHP Manual

# Yaf_Controller_Abstract::init

(Yaf >=1.0.0)

Yaf_Controller_Abstract::init — Controller initializer

### Description

public void Yaf_Controller_Abstract::init ( void )

Yaf_Controller_Abstract::__construct() is final, which means users can not override it. but users can define Yaf_Controller_Abstract::init(), which will be called after controller object is instantiated.

### Parameters

This function has no parameters.

### Return Values

### See Also

- Yaf_Controller_Abstract::__construct() - Yaf_Controller_Abstract constructor

Yaf_Controller_Abstract::getViewpath
Yaf_Controller_Abstract::initView
Yaf_Controller_Abstract
PHP Manual